# MESSAGE 'Including Entity Creation Utilities...'

PROCEDURE add_line      ( pnt1, pnt2    : point;  
                          line          : line_attribs);          EXTERNAL;

PROCEDURE add_line_h 		( pnt1, pnt2  : point;  
                      		line        : line_attribs;
                      		handle			: OUT entity);              EXTERNAL;

PROCEDURE add_two_lines ( pnt1, pnt2  : point;  
                          line        : line_attribs;
                          spacing     : real);                    EXTERNAL;

PROCEDURE add_rectangle ( pnt           : point; 
                          width, height : real; 
                          line          : line_attribs);          EXTERNAL;

PROCEDURE add_part_rect ( pnt           : point; 
                          width, height : real;
                          line          : line_attribs;
                          do_line       : ARRAY of boolean);      EXTERNAL;

PROCEDURE add_box 			(	pnts 					: ARRAY of point;
													lines 				: line_attribs);	 				EXTERNAL;

PROCEDURE add_box_h 		(	pnts 					: ARRAY of point;
													lines 				: line_attribs;
													handles 			: IN OUT ARRAY of entity);	EXTERNAL;

PROCEDURE add_semi_circ ( pnt           : point; 
                          radius        : real; 
                          line          : line_attribs;
                          quadrant      : integer;
                          do_chord      : boolean);               EXTERNAL;

PROCEDURE add_qtr_rnd   ( pnt           : point; 
                          radius        : real; 
                          line          : line_attribs; 
                          quadrant      : integer;
                          do_vert,
                          do_horiz      : boolean);               EXTERNAL;

PROCEDURE add_arc       ( pnt         : point; 
                          radius      : real; 
                          line        : line_attribs; 
                          quadrant    : integer;
                          do_vert,
                          do_horiz,
                          extend,
                          is_half     : boolean;
                          Bang, Eang,
                          offset      : real);                    EXTERNAL;

PROCEDURE add_circle    ( pnt       : point; 
                          radius    : real; 
                          line      : line_attribs);              EXTERNAL;          
                       
PROCEDURE add_slab      ( slbpnt    : pntarr; 
                          slbthick  : point; 
                          slbnpnt   : integer;
                          line      : line_attribs);              EXTERNAL;


PROCEDURE add_3line     ( pnt1, pnt2  : point; 
                          line        : line_attribs);            EXTERNAL;


PROCEDURE add_polygon   ( plypnt  : pntarr; 
                          npnts   : integer;
                          line    : line_attribs);                EXTERNAL;
                          
PROCEDURE add_polygon_h ( plypnt  : pntarr; 
                          npnts   : integer;
                          line    : line_attribs;
                          handle	: OUT entity);             			EXTERNAL;                          
                        	